package ru.dbotthepony.mc.otm.datagen.blocks

import ru.dbotthepony.mc.otm.datagen.models.MatteryBlockModelProvider
import ru.dbotthepony.mc.otm.registry.MBlocks

fun addBlockModels(provider: MatteryBlockModelProvider) {
	with(provider) {
		resourceCubeAll(MBlocks.TRITANIUM_ORE)
		resourceCubeAll(MBlocks.TRITANIUM_RAW_BLOCK)
		resourceCubeAll(MBlocks.DEEPSLATE_TRITANIUM_ORE)
		resourceCubeAll(MBlocks.TRITANIUM_INGOT_BLOCK)

		coloredMachine(MBlocks.COBBLESTONE_GENERATOR, listOf("0", "particle"))
	}
}
